org.apache.lucene.index

## Class IndexFormatTooOldException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.lucene.index.CorruptIndexException
        - - org.apache.lucene.index.IndexFormatTooOldException

All Implemented Interfaces:
  Serializable

    public class IndexFormatTooOldException
    extends CorruptIndexException

This exception is thrown when Lucene detects an index that is too old for this Lucene version

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IndexFormatTooOldException(DataInput in, int version, int minVersion, int maxVersion)` Creates an `IndexFormatTooOldException`.
`IndexFormatTooOldException(DataInput in, String version)` Creates an `IndexFormatTooOldException`.
`IndexFormatTooOldException(String resourceDesc, int version, int minVersion, int maxVersion)` Creates an `IndexFormatTooOldException`.
`IndexFormatTooOldException(String resourceDesc, String version)` Creates an `IndexFormatTooOldException`.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IndexFormatTooOldException

    public IndexFormatTooOldException(String resourceDesc,
                              String version)

Creates an `IndexFormatTooOldException`.

Parameters:
  `resourceDesc` - describes the file that was too old
  `version` - the version of the file that was too old
NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

#### IndexFormatTooOldException

    public IndexFormatTooOldException(DataInput in,
                              String version)

Creates an `IndexFormatTooOldException`.

Parameters:
  `in` - the open file that's too old
  `version` - the version of the file that was too old
NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

#### IndexFormatTooOldException

    public IndexFormatTooOldException(String resourceDesc,
                              int version,
                              int minVersion,
                              int maxVersion)

Creates an `IndexFormatTooOldException`.

Parameters:
  `resourceDesc` - describes the file that was too old
  `version` - the version of the file that was too old
  `minVersion` - the minimum version accepted
  `maxVersion` - the maxium version accepted
NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

#### IndexFormatTooOldException

    public IndexFormatTooOldException(DataInput in,
                              int version,
                              int minVersion,
                              int maxVersion)

Creates an `IndexFormatTooOldException`.

Parameters:
  `in` - the open file that's too old
  `version` - the version of the file that was too old
  `minVersion` - the minimum version accepted
  `maxVersion` - the maxium version accepted
NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.